use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
	NAME => 'IsisDB',
	VERSION_FROM => 'IsisDB.pm', # finds $VERSION
	AUTHOR => 'Dobrica Pavlinusic (dpavlin@rot13.org)',
	ABSTRACT_FROM => 'IsisDB.pm',
	PREREQ_PM => {
		'Test::Simple' => 0.44,
		'Carp' => 0,
		'File::Glob' => 0,
	},
	depend => {
		dist => 'changelog',
	},
);

sub MY::postamble {
	return <<'MAKE_MORE';

HTML_DIR=pod2html

html: $(TO_INST_PM)
	test -e $(HTML_DIR) || mkdir $(HTML_DIR)
	ls $(MAN1PODS) $(MAN3PODS) | cut -d. -f1 | xargs -i sh -c "pod2html --infile {}.p[lm] --outfile $(HTML_DIR)/{}.html --htmldir $(HTML_DIR)"
	rm -f pod2htm?.tmp
	test ! -z "`which svn2html.pl`" && svn update && svn2html.pl > $(HTML_DIR)/Changes.html

changelog:
	svn update && svn -v log > Changes

tags:
	ctags *.p? */*.p?

cmp:
	time ./scripts/dump_isis.pl > isis.txt
	time ./scripts/dump_openisis.pl > openisis.txt

bench:	all
	cd ./scripts/ && ./bench.pl

MAKE_MORE
}
